axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andreas Veithen (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AXIS2-5913) commons-httpclient-3.1 bundled in axis2-1.7.7 is exposed to vulnerability CVE-2012-5783
Date Wed, 09 May 2018 19:34:00 GMT

     [ https://issues.apache.org/jira/browse/AXIS2-5913?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andreas Veithen resolved AXIS2-5913.
------------------------------------
    Resolution: Won't Do

This is not fixable since commons-httpclient is no longer maintained. As indicated in the
1.7.0 release notes, it's possible to switch to HttpClient 4.x to avoid security problems.

> commons-httpclient-3.1 bundled in axis2-1.7.7 is exposed to vulnerability CVE-2012-5783
> ---------------------------------------------------------------------------------------
>
>                 Key: AXIS2-5913
>                 URL: https://issues.apache.org/jira/browse/AXIS2-5913
>             Project: Axis2
>          Issue Type: Bug
>          Components: transports
>    Affects Versions: 1.7.7
>            Reporter: Milko Todorov
>            Priority: Blocker
>              Labels: security
>
> commons-httpclient-3.1 bundled in axis2-1.7.7 is exposed to vulnerability [CVE-2012-5783|https://nvd.nist.gov/vuln/detail/CVE-2012-5783]



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@axis.apache.org
For additional commands, e-mail: java-dev-help@axis.apache.org


Mime
View raw message